version: "2"

services:

  db:
    image: mysql
    command: --default-authentication-plugin=mysql_native_password
    restart: on-failure
    environment:
      MYSQL_ROOT_PASSWORD: '1234qwe'
      MYSQL_USER: 'admin'
      MYSQL_PASSWORD: '1234qwe'
      MYSQL_DATABASE: 'Groups'
    ports:
      - 3306:3306

  web:
    build: .
    container_name: django_web
    command: bash -c "python manage.py migrate && python manage.py runserver 0.0.0.0:8000"
    ports:
      - 8000:8000
    volumes:
      - ./:/app
    restart: on-failure
    depends_on:
      - db
